Common (images Maven Webapp 1.1.0-2.13.0 API)
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.images
Class Common

    java.lang.Object
      org.gcube.application.aquamaps.images.Common

    public class Common

extends Object

Field Summary
`static String` | `FETCH_ROUTINE_INTERVAL_MINUTES`
`static String` | `HELP_FILE`
`static String` | `IMAGE_JPEG`
`static String` | `IMAGE_NOT_FOUND_FILE`
`static String` | `NATIVE_2050_PROP`
`static String` | `NATIVE_PROP`
`static String` | `SCOPE_PROP`
`static String` | `SPECIES_PARAM`
`static String` | `SUITABLE_2050_PROP`
`static String` | `SUITABLE_PROP`

Constructor Summary
`Common()`

Method Summary
`static Common` | `get()`
`org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.AquaMapsServiceInterface` | `getAMInterface()`
`com.j256.ormlite.dao.Dao<SpeciesInfo,String>` | `getDao()`
`InputStream` | `getHelpStream()`
`InputStream` | `getImageNotFound()`
`Long` | `getLastCompletedUpdate()`
`InputStream` | `getNative2050Map(String scientificName)`
`InputStream` | `getNativeMap(String scientificName)`
`String` | `getProperty(String property)`
`InputStream` | `getSpeciesPicture(String scientificName)`
`InputStream` | `getSuitable2050Map(String scientificName)`
`InputStream` | `getSuitableMap(String scientificName)`
`void` | `setLastCompletedUpdate(Long lastCompletedUpdate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPECIES_PARAM

    public static final String SPECIES_PARAM

See Also:
  Constant Field Values

### IMAGE_JPEG

    public static final String IMAGE_JPEG

See Also:
  Constant Field Values

### SCOPE_PROP

    public static final String SCOPE_PROP

See Also:
  Constant Field Values

### SUITABLE_PROP

    public static final String SUITABLE_PROP

See Also:
  Constant Field Values

### SUITABLE_2050_PROP

    public static final String SUITABLE_2050_PROP

See Also:
  Constant Field Values

### NATIVE_PROP

    public static final String NATIVE_PROP

See Also:
  Constant Field Values

### NATIVE_2050_PROP

    public static final String NATIVE_2050_PROP

See Also:
  Constant Field Values

### HELP_FILE

    public static final String HELP_FILE

See Also:
  Constant Field Values

### IMAGE_NOT_FOUND_FILE

    public static final String IMAGE_NOT_FOUND_FILE

See Also:
  Constant Field Values

### FETCH_ROUTINE_INTERVAL_MINUTES

    public static final String FETCH_ROUTINE_INTERVAL_MINUTES

See Also:
  Constant Field Values

Constructor Detail

### Common

    public Common()

Method Detail

### get

    public static Common get()

### getAMInterface

    public org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.AquaMapsServiceInterface getAMInterface()
                                                                                                         throws Exception

  Throws:
    `Exception`

### getSuitableMap

    public InputStream getSuitableMap(String scientificName)
                               throws SQLException,
                                      ImageNotFoundException,
                                      MalformedURLException,
                                      IOException

  Throws:
    `SQLException`
    `ImageNotFoundException`
    `MalformedURLException`
    `IOException`

### getSuitable2050Map

    public InputStream getSuitable2050Map(String scientificName)
                                   throws SQLException,
                                          ImageNotFoundException,
                                          MalformedURLException,
                                          IOException

  Throws:
    `SQLException`
    `ImageNotFoundException`
    `MalformedURLException`
    `IOException`

### getNativeMap

    public InputStream getNativeMap(String scientificName)
                             throws SQLException,
                                    ImageNotFoundException,
                                    MalformedURLException,
                                    IOException

  Throws:
    `SQLException`
    `ImageNotFoundException`
    `MalformedURLException`
    `IOException`

### getNative2050Map

    public InputStream getNative2050Map(String scientificName)
                                 throws SQLException,
                                        ImageNotFoundException,
                                        MalformedURLException,
                                        IOException

  Throws:
    `SQLException`
    `ImageNotFoundException`
    `MalformedURLException`
    `IOException`

### getSpeciesPicture

    public InputStream getSpeciesPicture(String scientificName)
                                  throws SQLException,
                                         ImageNotFoundException,
                                         MalformedURLException,
                                         IOException

  Throws:
    `SQLException`
    `ImageNotFoundException`
    `MalformedURLException`
    `IOException`

### getImageNotFound

    public InputStream getImageNotFound()

### getHelpStream

    public InputStream getHelpStream()

### getDao

    public com.j256.ormlite.dao.Dao<SpeciesInfo,String> getDao()

### getProperty

    public String getProperty(String property)

### setLastCompletedUpdate

    public void setLastCompletedUpdate(Long lastCompletedUpdate)

### getLastCompletedUpdate

    public Long getLastCompletedUpdate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.